summaryrefslogtreecommitdiffhomepage
path: root/libtomcrypt/updatemakes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libtomcrypt/updatemakes.sh')
-rwxr-xr-x[-rw-r--r--]libtomcrypt/updatemakes.sh23
1 files changed, 7 insertions, 16 deletions
diff --git a/libtomcrypt/updatemakes.sh b/libtomcrypt/updatemakes.sh
index 9b6cbde..14210c0 100644..100755
--- a/libtomcrypt/updatemakes.sh
+++ b/libtomcrypt/updatemakes.sh
@@ -1,21 +1,12 @@
#!/bin/bash
-bash genlist.sh > tmplist
+./helper.pl --update-makefiles || exit 1
-perl filter.pl makefile tmplist
-mv -f tmp.delme makefile
+makefiles=(makefile makefile_include.mk makefile.shared makefile.unix makefile.mingw makefile.msvc)
+vcproj=(libtomcrypt_VS2008.vcproj)
-perl filter.pl makefile.icc tmplist
-mv -f tmp.delme makefile.icc
+if [ $# -eq 1 ] && [ "$1" == "-c" ]; then
+ git add ${makefiles[@]} ${vcproj[@]} doc/Doxyfile && git commit -m 'Update makefiles'
+fi
-perl filter.pl makefile.shared tmplist
-mv -f tmp.delme makefile.shared
-
-perl filter.pl makefile.unix tmplist
-mv -f tmp.delme makefile.unix
-
-perl filter.pl makefile.msvc tmplist
-sed -e 's/\.o /.obj /g' < tmp.delme > makefile.msvc
-
-rm -f tmplist
-rm -f tmp.delme
+exit 0